{"definitions":{"Student":{"type":"object","properties":{"student_id":{"type":"integer, primary key"},"group_id":{"type":"character varying(40),"},"first_name":{"type":"character varying(40)"},"last_name":{"type":"character varying(40)"}},"description":"Student model \n"}},"info":{"description":"REST API for Web App that provides access to school PostgreSQL DB.\nThis API intended to give access via GET, POST, PUT, DELETE JSON requests using\nsqlalchemy and flask rest framework.","title":"A swagger API","version":"0.0.1"},"paths":{"/api/{api_version}/students/":{"get":{"description":"This API intended to give access via GET, POST, PUT, DELETE JSON<br/>requests using sqlalchemy and flask rest framework.<br/>Call this api passing a version of api and \"students\"<br/>Example:<br/>    /api/v1/students/<br/>    /api/v1/students/420/<br/>    where 420 is student_id<br/>","parameters":[{"description":"Version of API. Current v1","in":"path","name":"api_version","required":true,"type":"string"},{"in":"path","name":"students","required":true,"type":"string"},{"description":"student_id in students table","in":"query","name":"student id","required":false,"type":"int"}],"produces":["application/json"],"responses":{"200":{"description":"requested data in JSON format"},"404":{"description":"wrong api or id"}},"summary":"REST API for Web App that provides access to school PostgreSQL DB.","tags":["API for accessing data about students"]}},"/api/{api_version}/students/{student_id}/":{"get":{"description":"This API intended to give access via GET, POST, PUT, DELETE JSON<br/>requests using sqlalchemy and flask rest framework.<br/>Call this api passing a version of api and \"students\"<br/>Example:<br/>    /api/v1/students/<br/>    /api/v1/students/420/<br/>    where 420 is student_id<br/>","parameters":[{"description":"Version of API. Current v1","in":"path","name":"api_version","required":true,"type":"string"},{"in":"path","name":"table name","required":true,"type":"string"},{"description":"student_id in students table","in":"query","name":"student id","required":false,"type":"int"}],"produces":["application/json"],"responses":{"200":{"description":"requested data in JSON format"},"404":{"description":"wrong api or id"}},"summary":"REST API for Web App that provides access to school PostgreSQL DB.","tags":["API for accessing data about students"]}}},"swagger":"2.0"}